Bug 445797 - Review Request: erlsom - Support for XML Schema in Erlang
Review Request: erlsom - Support for XML Schema in Erlang
Status: CLOSED DUPLICATE of bug 502991
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 04:56 EDT by Peter Lemenkov
Modified: 2009-11-07 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-22 00:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2008-05-09 04:56:50 EDT
Spec URL: http://peter.fedorapeople.org/erlsom.spec
SRPM URL: http://peter.fedorapeople.org/erlsom-1.2.1-1.fc9.src.rpm
Description: Erlsom is a set of functions to deal with XML Schema (XSDs) in Erlang.
First you 'compile' the schema, and after that you can parse XML
documents that conform to the schema. The result is a structure of
Erlang records, based on the types that are defined by the Schema.
Or, the other way around, a structure of records can be translated
to an XML document.
Comment 1 Jason Tibbitts 2008-05-12 13:01:16 EDT
I wonder if it wouldn't be better to name this erlang-erlsom.  The only erlang
package we have currently is erlang-esdl, so there's not much precedent, but
it's worth considering.
Comment 2 Peter Lemenkov 2008-05-13 03:15:39 EDT
I don't think that's a good idea to resolve the lack ot Groups (and absence of
tags) in rpm (and therefore yum).

We should populate /usr/share/doc/rpm-*/GROUPS instead of making silly prefixes
as erlang-something, fuse-something, ocaml-something, perl-something etc.

I think it worths to discuss in fedora-devel.
Comment 3 Jason Tibbitts 2008-05-16 18:07:43 EDT
Well, I guess you're welcome to make that argument on fedora-devel if you wish.
   Perhaps write up a proposal to change the existing guidelines which
specifically mention erlang addons.  However, please note:

Fedora doesn't use groups.  It doesn't matter what you put there; we don't care.

Your solution doesn't address issues like:

ruby-gtk2, perl-Gtk2
perl-LDAP, ruby-ldap, python-ldap, php-ldap
python-mecab, ruby-mecab, perl-mecab
python-mechanize, ruby-mechanize

So, honestly, please adhere to the current guidelines at
http://fedoraproject.org/wiki/Packaging/NamingGuidelines or indicate how this
package is not covered by them.  (I know pretty much zilch about erlang, so
maybe I'm missing something.)
Comment 4 Jason Tibbitts 2008-06-21 18:53:58 EDT
So should I assume that you won't rename this package or provide some evidence
that the existing guidelines shouldn't apply?  If not, I suppose this ticket
cannot progress and should be closed.  I don't recall seeing any discussions on
fedora-devel, and no proposals for changing the guidelines have come before the
packaging committee.
Comment 5 Peter Lemenkov 2008-06-22 00:27:38 EDT
OK, closing this ticket.
Comment 6 Jason Tibbitts 2009-11-07 10:17:03 EST

*** This bug has been marked as a duplicate of bug 502991 ***

Note You need to log in before you can comment on or make changes to this bug.